Summary:    Monitor a system for events and trigger specific actions
Name:       rig
Version:    1.1
Release:    6%{?dist}
License:    GPLv2
Url:        https://github.com/TurboTurtle/rig
Source0:    %{url}/archive/%{name}-%{version}.tar.gz

BuildRequires: python3-devel python3-setuptools python3dist(systemd-python) python3dist(psutil)
BuildArch:     noarch

%description
Rig is a utility designed to watch or monitor specific system resources (e.g.  log files, journals,
system activity, etc...) and then take specific action when the trigger condition is met. Its
primary aim is to assist in troubleshooting and data collection for randomly occurring events.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
install -p -Dm644 man/en/rig.1 %{buildroot}%{_mandir}/man1/rig.1
%py3_install

%files
%license LICENSE
%doc README.md
%{_bindir}/rig
%{python3_sitelib}/rig-*.egg-info/
%{python3_sitelib}/rigging/
%{_mandir}/man1/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 1.1-1
- initial build
